import { NodePoolAttributes } from '@jfrog-pipelines/types';
import { WaitingGroup } from '../../modules';
export declare type NodePoolsByName = {
    [key: string]: NodePoolAttributes;
};
export declare type WaitingGroupNodePool = WaitingGroup & {
    approvalRequestedAt: Date | undefined;
    waitingForFreeNodePoolCapacity: boolean;
};
export declare type RejectedWaitingGroupResponse = {
    waitingGroupsAfterFiltering: WaitingGroupNodePool[];
    waitingForFreeNodePoolCapacity: WaitingGroupNodePool[];
};
export declare class RejectWaitingGroupsByNodePools {
    rejectWaitingGroupsByNodePools(availableNodePools: NodePoolAttributes[], allNodePools: NodePoolAttributes[], waitingGroups: WaitingGroupNodePool[]): RejectedWaitingGroupResponse;
    private isRejectableGroup;
    private approvalValidation;
    private generateReactionContext;
    private getAllNodePoolsByName;
    private getAvailableNodePoolsByName;
}
